4Suite™ API Documentation

# ► Module Ft.Server.Client

Repository client (4ss, 4ss_manager) base module
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtServerClientException |  |  |  | Functions: GetAuthentication, SmartLogin

## Modules

Commands | This command is a client that provides access to a 4Suite repository and RDF model from the command line. The repository must exist and must be accessible via a 4Suite RPC server.
Core |
MessageSource | Provides tools for generating system messages

## Classes

class FtServerClientException(Ft.Server.FtServerBaseException)
Exception class for errors incurred while using the repository clients (4ss, 4ss_manager).

### Methods inherited from class Ft.Server.FtServerBaseException

__init__

### Methods inherited from class Ft.FtException

__getattr__, __repr__, __str__

### Methods inherited from class exceptions.Exception

__getitem__

### Fields

MessageSource = <module 'Ft.Server.Client.MessageSource' from 'b...EASE-i386-2.4/Ft/Server/Client/MessageSource.py'>

## Functions

GetAuthentication(options=None)
Returns authentication arguments for connecting to a repository.
Get Authentication information for a Client connection to the repository
1: look in the options dictionary for "anonymous"
2: look in the options dictionary for "username"
3: look in the options dictionary for "port"
4: look in the options dictionary for "host"
5: If there is no username, then look for the FTSS_AGENT env var to get information
6: If there still is no username, then look for FTSS_USERNAME env var
7: If there still is no user name then prompt for it.
8: look in the options dictionary for "password"
9: look in the options dictionary for "passwdhash"
10: If there is no password, then ask the password manager (from 4ss login)
11: If there still is no password then prompt for it.
12: If there is no host, then prompt for it
13: If there is no port then prompt for it
SmartLogin(options=None)
Returns a new repository connection.